Loading...
Searching...
No Matches
XrdCl::HostInfo Struct Reference

`#include <XrdClXRootDResponses.hh>`

Collaboration diagram for XrdCl::HostInfo:

## Public Member Functions

| HostInfo ()
| HostInfo (const URL &u, bool lb=false)

## Public Attributes

uint32_t | flags
| Host type.
bool | loadBalancer
| Was the host used as a load balancer.
uint32_t | protocol
| Version of the protocol the host is speaking.
URL | url
| URL of the host.

## Detailed Description

Definition at line 1109 of file XrdClXRootDResponses.hh.

## Constructor & Destructor Documentation

## HostInfo() [1/2]

XrdCl::HostInfo::HostInfo | ( |  | ) |

inline

Definition at line 1111 of file XrdClXRootDResponses.hh.

:
flags(0), protocol(0), loadBalancer(false) {}
XrdCl::HostInfo::protocol
uint32_t protocol
Version of the protocol the host is speaking.
Definition XrdClXRootDResponses.hh:1116
XrdCl::HostInfo::loadBalancer
bool loadBalancer
Was the host used as a load balancer.
Definition XrdClXRootDResponses.hh:1117
XrdCl::HostInfo::flags
uint32_t flags
Host type.
Definition XrdClXRootDResponses.hh:1115

References flags, loadBalancer, and protocol.

## HostInfo() [2/2]

XrdCl::HostInfo::HostInfo | ( | const URL & | u,
|  | bool | lb = false )

inline

Definition at line 1113 of file XrdClXRootDResponses.hh.

:
flags(0), protocol(0), loadBalancer(lb), url(u) {}
XrdCl::HostInfo::url
URL url
URL of the host.
Definition XrdClXRootDResponses.hh:1118

References flags, loadBalancer, protocol, and url.

## Member Data Documentation

## flags

uint32_t XrdCl::HostInfo::flags

Host type.

Definition at line 1115 of file XrdClXRootDResponses.hh.

Referenced by HostInfo(), HostInfo(), and XrdCl::MessageUtils::RedirectMessage().

## loadBalancer

bool XrdCl::HostInfo::loadBalancer

Was the host used as a load balancer.

Definition at line 1117 of file XrdClXRootDResponses.hh.

Referenced by HostInfo(), and HostInfo().

## protocol

uint32_t XrdCl::HostInfo::protocol

Version of the protocol the host is speaking.

Definition at line 1116 of file XrdClXRootDResponses.hh.

Referenced by HostInfo(), and HostInfo().

## url

URL XrdCl::HostInfo::url

URL of the host.

Definition at line 1118 of file XrdClXRootDResponses.hh.

Referenced by HostInfo(), XrdCl::MessageUtils::SendMessage(), and XrdCl::XRootDMsgHandler::SetLoadBalancer().

The documentation for this struct was generated from the following file:

- XrdClXRootDResponses.hh